# token.h File Reference

Go to the source code of this file.

## Typedefs

typedef struct _TokenInfo | TokenInfo

## Functions

MagickExport int | Tokenizer (TokenInfo *, const unsigned int, char *, const size_t, const char *, const char *, const char *, const char *, const char, char *, int *, char *)
MagickExport MagickBooleanType | GlobExpression (const char *, const char *, const MagickBooleanType)
MagickExport MagickBooleanType | IsGlob (const char *)
MagickExport TokenInfo * | AcquireTokenInfo (void)
MagickExport TokenInfo ** | DestroyTokenInfo (TokenInfo *)
MagickExport void | GetMagickToken (const char *, const char **, char *)

## Typedef Documentation

typedef struct _TokenInfo TokenInfo

## Function Documentation

MagickExport TokenInfo* AcquireTokenInfo | ( | void |  | ) |

MagickExport TokenInfo* * DestroyTokenInfo | ( | TokenInfo * |  | ) |

MagickExport void GetMagickToken | ( | const char * | ,
|  | const char ** | ,
|  | char * |  |
| ) |  |  |

MagickExport MagickBooleanType GlobExpression | ( | const char * | ,
|  | const char * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport MagickBooleanType IsGlob | ( | const char * |  | ) |

MagickExport int Tokenizer | ( | TokenInfo * | ,
|  | const unsigned | int,
|  | char * | ,
|  | const | size_t,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const | char,
|  | char * | ,
|  | int * | ,
|  | char * |  |
| ) |  |  |